### Method

# Gtk.Assistant.insert_page

#### Declaration [src]

    int
    gtk_assistant_insert_page (
      GtkAssistant* assistant,
      GtkWidget* page,
      int position
    )

#### Description [src]

Inserts a page in the `assistant` at a given position.

#### Parameters

`page` | `GtkWidget`
| a `GtkWidget`
| Ownership is not transferred to the callee
`position` | `int`
| the index (starting at 0) at which to insert the page, or -1 to append the page to the `assistant`

#### Return value

Returns: `int`
the index (starting from 0) of the inserted page